Public Member Functions | List of all members
WP6HighlightOffGroup Class Reference

`#include <WP6HighlightGroup.h>`

Inheritance diagram for WP6HighlightOffGroup:

## Public Member Functions
| WP6HighlightOffGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned char groupID)
void | parse (WP6Listener *listener) override
Public Member Functions inherited from WP6HighlightGroup
| WP6HighlightGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned char groupID)
const RGBSColor | getColor () const
Public Member Functions inherited from WP6FixedLengthGroup
| WP6FixedLengthGroup (unsigned char groupID)
unsigned char | getGroup () const
Public Member Functions inherited from WP6Part
virtual | ~WP6Part ()

## Additional Inherited Members
Static Public Member Functions inherited from WP6FixedLengthGroup
static WP6FixedLengthGroup * | constructFixedLengthGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned char groupID)
static bool | isGroupConsistent (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char groupID)
Static Public Member Functions inherited from WP6Part
static WP6Part * | constructPart (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char readVal)
Protected Member Functions inherited from WP6HighlightGroup
void | _readContents (librevenge::RVNGInputStream *input, WPXEncryption *encryption) override
Protected Member Functions inherited from WP6FixedLengthGroup
void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption)

## Constructor & Destructor Documentation

## ◆ WP6HighlightOffGroup()

WP6HighlightOffGroup::WP6HighlightOffGroup | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | unsigned char | groupID
| ) |  |

## Member Function Documentation

## ◆ parse()

void WP6HighlightOffGroup::parse | ( | WP6Listener * | listener | ) |
| override virtual

Implements WP6HighlightGroup.

The documentation for this class was generated from the following files:

- WP6HighlightGroup.h
- WP6HighlightGroup.cpp